Results 1 to 17 of 17

Thread: ATTO UL3D card woes

  1. #1
    Join Date
    Jun 2003
    Posts
    15

    Default

    I have an ATTO UL3D SCSI card. I hope you can help me troubleshoot this card. After installing the card I did all the things that I normally would have done if I were using System 9. I went to the ATTO website and downloaded all the files I could find associated with my card, and installed them. I also isntalled the "plus" drivers. After launching the Configuration Tool, and selecting either channel in the "Device Listing" pane, I would get an error about "drive error occurred accessing the NVRAM: error occurred in the driver, code (oX1)" The driver version was 1.0.1f3 and the flash version was 1.6.1.f1.

    I tried un-installing the configuration tool, removing the card, re-installing the configuration tool (with drivers) and re-installing the card. I still got the same message.

    Today, I went to the ATTO site and poked around some more, and found a page about OSX which said that I didn't have to install any drivers for my card. So I un-installed the configuration tool again, and re-installed just the application. Now, the information pane for my device says the driver name is "com.ATTO.driver.ATTOExpressPCI". I don't know if this is a residual from what I installed myself, or this is the correct system driver from Apple. It does say that the version is 1.1.0 though. The flash still says version 1.6.1f1 and when i try to update to version 1.6.6f0 I get the following error message "a system error occurred accessing flash code (0xe00002c7).

    AND, when I select either channel in the "Device Listing" I get a message saying "now drivers loaded for this channel".

    Have I hosed my system by loading extra drivers? I would greatly appreciate any help. Thanks.

  2. #2
    Join Date
    Jan 2001
    Location
    Mobius Strip
    Posts
    13,045

    Default

    Sounds like you are running 10.2.6 and I'll bet you bought the OWC OEM UL3D and not the retail card. Also, helps to know what mac you are using it on.

    If you go to ATTO www.attotech.com and Software Downloads, then Utilities, you will find the OS X Express Configuration Tool 2.40 which you do want, but you need to be running 10.2.4+ (10.2.6 recommended, seriously).

    Someone on MacIntouch has been posting old links to old versions (Dec 2002). I put up some threads on ATTO in this forum and maybe OS X forum. Also in the SCSI.... FAQ (it is just a weekly update of new tips, ideas, information and nothing as formal as a real FAQ).

  3. #3
    Join Date
    Jun 2003
    Posts
    15

    Default

    Yes, it is one of the OWC cards. Just got it yesterday. I am running 10.2.6 on a dual 1.25G MDD. I downloaded the Configuration Tool 2.4 and that's what is giving me all the error messages (as well as saying that he 1.6.6 flash file is corrupt). I haven't hooked anything up to the card as of yet because I have to get an adapter (25 pin to 68 pin).

  4. #4
    Join Date
    Jan 2001
    Location
    Mobius Strip
    Posts
    13,045

    Default

    OEM cards don't usually need, require, or work with retail firmware updaters. The Config Tool should be useful. Might want to email support@attotech.com on that. Apple handles the firmware and installing Jaguar could add the support files when installing. Not sure - I bought one of the cards to play with also (but I have a retail card, along with a dual channel Adaptec 39160, and UL2D OEM).

    What are you going to use? 25-pin to 68-pin? wide to narrow? what are you hooking up? not a LVD drive it sounds like. There are 68-pin cables with 25-pin or 50-pin narrow ends. You go FROM wide TO narrow as you move OUT and away.

    Normally you want Ultra160 or Ultra320 internal and/or external cables. Either GraniteDigital or HyperMicro.

  5. #5
    Join Date
    Jun 2003
    Posts
    15

    Default

    I am planning to hook up a UMAX 2200SU SCSI scanner.

  6. #6
    Join Date
    Jan 2001
    Location
    Mobius Strip
    Posts
    13,045

    Default

    I just bought this cute, elegant, Canon LiDE30 for $80. I once paid nearly $1000 for my first scanner. And for a slide scanner. Then I got a "firewire" scanner - only it was a freakin' firewire bridged parallel scanner.

    I was afraid that USB would not do the job, be too slow, etc. having a USB bus-powered flatbed is a dream to use, no bigger than say "Interview" or "Rolling Stone" magazine almost. And they have a slightly imporved LiDE50 for $99 coming out next month.

    I'd have gotten the 2930 UltraSCSI for narrow device. If you wanted to run a Cheetah 10K.6 or something that $79 UL3D would do fine.

    Some people say you can turn on a scsi scanner under Jag as needed. Not ideal, and OS X has litle to no support for SCSI scanners. Most end up buying VueScan which is now $60 (was $40).

    I ask because I want you to be sure you know what you are getting into. VueScan is constantly upgraded and there is a list on www.hamrick.com of supported devices etc.

    My last FireWire scanner was UMAX Astra 6400 and it got fried. Should have used Isolator from www.fwdepot.com to protect FW ports and cables. And it wasn't "true" firewire and they never did provide OS X drivers.

  7. #7
    Join Date
    Aug 2001
    Location
    Grangeville, ID USA
    Posts
    9,142

    Default

    Bill,

    ?Here's a page that tells about ATTO OEM host cards and why/how to flash the rom to retail. The Apple rom code, 1.6.1, is specific to Apple and ATTO won't support it. However, this article which is about the UL2D OEM host card states that you can flash the rom in a PC to retail. Never tried it myself, always had the retail host card, but others have done it.

    OS9forever

    Rick

    Quis Custodiet Custodes Ipsos?

  8. #8
    Join Date
    Apr 2003
    Location
    NJ
    Posts
    106

    Default

    With Gregory's help i got the same Atto SCSi card from OWC same as you did for my DP1.25 MDD. Except i didn't install any drivers or software from the site. Just got the card and poped it in da mac. I haven't had any problems since then, and i'm running 10.2.6 with 2 cheetas on it.


    I never even thought of installing drivers for it, guess i would have if i had some problems. Only problem i get is when i reset pram, it doesn't find my HD when it starts up. have to hold X to choose the HD.

    My rom version is 1.6.1f1

    Vince34
    G4 1.25 DP (MDD/FW800) -- 1.25gig Ram -- 2x18gig SCSI -- 40gig & 80gig ATAs (all Seagates)
    ATi Radion 9000 -- 21 Inch Apple Studio Display


    quote:
    It is not the power of the Raging Demon...but your past sins that will be your undoing

  9. #9
    Join Date
    Jun 2003
    Posts
    15

    Default

    Wish I had just done that.

    I do understand that there are no UMAX drivers for OSX. I had planned to use VueScan. I also wanted to grab a good SCSI card incase I wanted to add any SCSI drives to my new machine.

  10. #10
    Join Date
    Jun 2003
    Posts
    15

    Default

    I think i was able to remove all of the "extra" files and drivers that I should not have installed. If anyone out there is using the OEM UL3D card, could ou please tell me what the name of the driver file is and the verson number. Thanks.

  11. #11
    Join Date
    Apr 2003
    Location
    NJ
    Posts
    106

    Default

    Card Type: scsi 2
    Card name: ATTO, ExpressPCIProUL3D
    Card Mdel:
    Vendor ID: 1000
    Device ID: 20
    ROM# 1.6.1f1
    Revision: 1


    Thats what i have from system profiler.

    ---------------------------------------------------------------------------------

    Exentions Name: Version


    ATTOExpressPCI.kext 1.1.0

    --------------------------------------------------------------------------------



    Thats all the info i could find on my system, unless there is somewhere i need to look that i don't know about.

    Vince34
    G4 1.25 DP (MDD/FW800) -- 1.25gig Ram -- 2x18gig SCSI -- 40gig & 80gig ATAs (all Seagates)
    ATi Radion 9000 -- 21 Inch Apple Studio Display


    quote:
    It is not the power of the Raging Demon...but your past sins that will be your undoing

  12. #12
    Join Date
    Jun 2003
    Posts
    15

    Default

    Thanks. That's what my ASP says also. Curiously, the card shows up twice in slot 4. Does yours also?

    If you go to the ATTO website, there is a OSX ExpressPCI configuration tool 2.40 that can be downloaded. If you just install the application it will give you some more information, like the name of the driver and version.

  13. #13
    Join Date
    Jan 2001
    Location
    Mobius Strip
    Posts
    13,045

    Default

    You can't rely on ASP the way you use to. I think it sees a dual channel or dual bus controller and lists them all twice. UL3S even gets listed twice.

    As long as it looks right in the Express Config tool you're fine.

    Sure you don't want the driver part of 2.4 also?

  14. #14
    Join Date
    Jun 2003
    Posts
    15

    Default

    Not sure if I want the drivers of 2.40 because when I would select either of the channels in the "device listing" I would get an error message "driver error occured accessing the NVRAM ... code 0x1

  15. #15
    Join Date
    Jan 2001
    Location
    Mobius Strip
    Posts
    13,045

    Default

    I would see that message also which concerned me, back when the Config Tool 2.3 or whatever it was back in 12/02.

    The new version is better at removing older versions. Sounded like you installed the "Plus" tool or driver also.

    I assume you have 10.2.6 which may be required. But you also tried to update the firmware at one point also? from OS 9?

    Take a look at the read me for the Config tool, its all in the SCSI forum in "ATTO... " thread a couple weeks ago.

  16. #16
    Join Date
    Jun 2003
    Posts
    15

    Default

    I hooked up an old external scsi drive, was well as the scanner, and even though the config tool says no drivers were loaded for either channel, and the system profiler did not show any device attached to the card, the hard drive mounted fine, and the scanner worked.

    I had removed the "plus" app and driver (found the uninstall app) but have not loaded the drivers that came with the config app.

  17. #17
    Join Date
    Apr 2003
    Location
    NJ
    Posts
    106

    Default

    Yup it shows up twice, but with my old g4 450 and with a OEM UL2D card it did the same. I never even questioned it.

    Vince34
    G4 1.25 DP (MDD/FW800) -- 1.25gig Ram -- 2x18gig SCSI -- 40gig & 80gig ATAs (all Seagates)
    ATi Radion 9000 -- 21 Inch Apple Studio Display


    quote:
    It is not the power of the Raging Demon...but your past sins that will be your undoing

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •